Debian Bug report logs - #587650
git svn: copes poorly with .git/svn dir from other arch (Long integer size is not compatible)

version graph

Package: git-svn; Maintainer for git-svn is Gerrit Pape <pape@smarden.org>; Source for git-svn is src:git.

Reported by: Sandro Weiser <sandro.weiser@informatik.tu-chemnitz.de>

Date: Wed, 30 Jun 2010 15:42:04 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Merged with 618875, 635097

Found in versions git/1:1.7.1-1, git/1:1.7.5.1-1, git/1:1.7.5.4-1

Fixed in versions git/1:1.7.10.4-2, git/1:1.7.10.4-1+wheezy1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://thread.gmane.org/gmane.comp.version-control.git/179834/focus=179928

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#587650; Package git-svn. (Wed, 30 Jun 2010 15:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Weiser <sandro.weiser@informatik.tu-chemnitz.de>:
New Bug report received and forwarded. Copy sent to Gerrit Pape <pape@smarden.org>. (Wed, 30 Jun 2010 15:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sandro Weiser <sandro.weiser@informatik.tu-chemnitz.de>
To: submit@bugs.debian.org
Subject: [git-svn] git svn fetch failed
Date: Wed, 30 Jun 2010 17:21:03 +0200
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Package: git-svn
Version: 1:1.7.1-1
Severity: normal

- --- Please enter the report below this line. ---
git svn fetch
...some M- and A-operations...
        M
platform/common/plugins/de.arcsolutions.remarc.platform.errorhandler/build.properties
Long integer size is not compatible at ../../lib/Storable.pm (autosplit
into ../../lib/auto/Storable/_retrieve.al) line 380, at
/usr/share/perl/5.10.1/Memoize/Storable.pm line 21

It doesn't gets over this.

- --- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.34

Debian Release: squeeze/sid
  501 unstable        www.mpellis.org.uk
  501 unstable        www.debian-multimedia.org
  501 unstable        mirror.noreply.org
  501 unstable        ftpl.tu-chemnitz.de
  501 unstable        ftp2.de.debian.org
  501 unstable        frickelplatz.de
  500 testing-proposed-updates ftp2.de.debian.org
  500 testing         www.debian-multimedia.org
  500 testing         security.debian.org
  500 testing         ftp2.de.debian.org
  500 testing         dl.google.com
  500 testing         apt.byteme.org.uk
  500 stable-proposed-updates volatile.debian.org
  500 stable          volatile.debian.org
  500 stable          security.debian.org
  500 stable          ftp2.de.debian.org
  500 stable          dl.google.com
  500 stable          deb.opera.com
  500 stable          apt.spideroak.com
  500 stable          apt.byteme.org.uk
  500 proposed-updates ftpl.tu-chemnitz.de
  500 proposed-updates ftp2.de.debian.org
  500 oldstable-proposed-updates volatile.debian.org
  500 oldstable       www.debian-multimedia.org
  500 oldstable       volatile.debian.org
  500 lucid           packages.medibuntu.org
  500 karmic          packages.medibuntu.org
  500 karmic          linux.dropbox.com
  500 jaunty          ppa.launchpad.net
  500 jaunty          linux.dropbox.com
  500 intrepid        ppa.launchpad.net
  500 intrepid        linux.dropbox.com
  500 hardy           ppa.launchpad.net
  500 hardy           linux.dropbox.com
  500 binary          hudson-ci.org
  102 experimental-snapshots qt-kde.debian.net
  101 experimental    www.debian-multimedia.org
  101 experimental    ftpl.tu-chemnitz.de
  101 experimental    ftp2.de.debian.org
    1 lenny-backports www.backports.org
    1 etch-backports  www.backports.org

- --- Package information. ---
Depends                       (Version) | Installed
=======================================-+-===============
git                        (>> 1:1.7.1) | 1:1.7.1-1
git                      (<< 1:1.7.1-.) | 1:1.7.1-1
libsvn-perl                             | 1.6.12dfsg-1
 OR libsvn-core-perl                    |
libwww-perl                             | 5.836-1
libterm-readkey-perl                    | 2.30-4


Package's Recommends field is empty.

Suggests        (Version) | Installed
=========================-+-===========
git-doc                   | 1:1.7.1-1
subversion                | 1.6.12dfsg-1





- -- 
Sandro Weiser <Sandro.Weiser@gmx.de>
Fingerprint: 77E0 7C87 4DB2 6BBB 5419  343C 7995 1C67 25B9 CBF1

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREKAAYFAkwrYN8ACgkQeZUcZyW5y/Fo8gCfXw60JPT/fgzrKrKUQxLe8Ygl
FjwAn0Esb8z+0Dw7Deifqe4JgzxfcF1S
=mFyf
-----END PGP SIGNATURE-----

[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#587650; Package git-svn. (Wed, 30 Jun 2010 16:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Wed, 30 Jun 2010 16:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 587650@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sandro Weiser <sandro.weiser@informatik.tu-chemnitz.de>, Eric Wong <normalperson@yhbt.net>
Cc: 587650@bugs.debian.org
Subject: Re: git svn fetch failed
Date: Wed, 30 Jun 2010 11:02:34 -0500
Hi,

Sandro Weiser wrote:

> Package: git-svn
> Version: 1:1.7.1-1
[...]
> git svn fetch
> ...some M- and A-operations...
>         M
> platform/common/plugins/de.arcsolutions.remarc.platform.errorhandler/build.properties
> Long integer size is not compatible at ../../lib/Storable.pm (autosplit
> into ../../lib/auto/Storable/_retrieve.al) line 380, at
> /usr/share/perl/5.10.1/Memoize/Storable.pm line 21
> 
> It doesn't gets over this.
[...]
> Architecture: amd64
[...]
> libsvn-perl                             | 1.6.12dfsg-1

Eric: any insights?

Sandro: is your repository available, or can you give any other recipe for
reproducing this?

Thanks for the report,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#587650; Package git-svn. (Fri, 02 Jul 2010 06:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 02 Jul 2010 06:48:04 GMT) Full text and rfc822 format available.

Message #15 received at 587650@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sandro Weiser <sandro.weiser@informatik.tu-chemnitz.de>
Cc: 587650@bugs.debian.org, Eric Wong <normalperson@yhbt.net>
Subject: Re: git svn fetch failed
Date: Fri, 2 Jul 2010 01:44:54 -0500
Hi again,

> Sandro Weiser wrote:

>> Long integer size is not compatible at ../../lib/Storable.pm (autosplit
>> into ../../lib/auto/Storable/_retrieve.al) line 380, at
>> /usr/share/perl/5.10.1/Memoize/Storable.pm line 21

[googles "Long integer size is not compatible" and greps for Storable
in git-svn.perl]

Looks like some .db file was written on a 32-bit machine and now you
are trying to read it on a 64-bit one.  Just a shot in the dark, but
does

 rm -fr .git/svn/.caches

help?

Hopeful,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#587650; Package git-svn. (Fri, 02 Jul 2010 11:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Weiser <sandro.weiser@informatik.tu-chemnitz.de>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 02 Jul 2010 11:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 587650@bugs.debian.org (full text, mbox):

From: Sandro Weiser <sandro.weiser@informatik.tu-chemnitz.de>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 587650@bugs.debian.org, Eric Wong <normalperson@yhbt.net>
Subject: Re: git svn fetch failed
Date: Fri, 02 Jul 2010 13:01:43 +0200
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

>>> Long integer size is not compatible at ../../lib/Storable.pm (autosplit
>>> into ../../lib/auto/Storable/_retrieve.al) line 380, at
>>> /usr/share/perl/5.10.1/Memoize/Storable.pm line 21
> 
> [googles "Long integer size is not compatible" and greps for Storable
> in git-svn.perl]
> 
> Looks like some .db file was written on a 32-bit machine and now you
> are trying to read it on a 64-bit one.  Just a shot in the dark, but
> does
> 
>  rm -fr .git/svn/.caches
> 
> help?
Yes!

Sorry for all the trouble.

Sandro

- -- 
Sandro Weiser <Sandro.Weiser@gmx.de>
Fingerprint: 77E0 7C87 4DB2 6BBB 5419  343C 7995 1C67 25B9 CBF1
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREKAAYFAkwtxxAACgkQeZUcZyW5y/GruACfWmHo5WVIOB7K9IW6aT6obIur
wf0AoK7mSGwRCDPzar0G7ZE9WZlhH1FQ
=zpkr
-----END PGP SIGNATURE-----

[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#587650; Package git-svn. (Fri, 02 Jul 2010 15:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 02 Jul 2010 15:33:02 GMT) Full text and rfc822 format available.

Message #25 received at 587650@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sandro Weiser <sandro.weiser@informatik.tu-chemnitz.de>
Cc: 587650@bugs.debian.org, Eric Wong <normalperson@yhbt.net>
Subject: Re: git svn fetch failed
Date: Fri, 2 Jul 2010 10:31:00 -0500
Sandro Weiser wrote:

> Yes!
> 
> Sorry for all the trouble.

No, no trouble at all.  It’s a real bug: we should be automatically
invalidating the caches.

Thanks again,
Jonathan




Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 20 Aug 2010 02:45:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'git svn: copes poorly with .git/svn dir from other arch (Long integer size is not compatible)' from '[git-svn] git svn fetch failed' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 20 Aug 2010 02:45:09 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 27 Sep 2010 19:15:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#587650; Package git-svn. (Mon, 09 May 2011 02:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to GSR <gsr.bugs@infernal-iceberg.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Mon, 09 May 2011 02:33:03 GMT) Full text and rfc822 format available.

Message #36 received at 587650@bugs.debian.org (full text, mbox):

From: GSR <gsr.bugs@infernal-iceberg.com>
To: Debian Bug Tracking System <587650@bugs.debian.org>
Subject: git-svn: copes poorly with .git/svn dir from older perl
Date: Mon, 9 May 2011 03:31:04 +0200
Package: git-svn
Version: 1:1.7.5.1-1
Followup-For: Bug #587650

Perl & Git were updated recently (lots of updates going on in Sid),
and that seems to have caused a similar issue, end of import failed
with:

---8<---
Byte order is not compatible at ../../lib/Storable.pm (autosplit into ../../lib/auto/Storable/_retrieve.al) line 380, at /usr/share/perl/5.12.3/Memoize/Storable.pm line 21

Could not unmemoize function `lookup_svn_merge', because it was not memoized to begin with at /usr/lib/git-core/git-svn line 3213
END failed--call queue aborted at /usr/lib/git-core/git-svn line 40.
--->8---

Moving away the .caches dir made the import work again.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages git-svn depends on:
ii  git                      1:1.7.5.1-1     fast, scalable, distributed revisi
ii  libsvn-perl              1.6.16dfsg-1+b2 Perl bindings for Subversion
ii  libterm-readkey-perl     2.30-4+b1       A perl module for simple terminal 
ii  libwww-perl              6.01-3          simple and consistent interface to

git-svn recommends no packages.

Versions of packages git-svn suggests:
pn  git-doc                  <none>          (no description available)
ii  subversion               1.6.16dfsg-1+b2 Advanced version control system

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#587650; Package git-svn. (Mon, 09 May 2011 05:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Mon, 09 May 2011 05:09:03 GMT) Full text and rfc822 format available.

Message #41 received at 587650@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: GSR <gsr.bugs@infernal-iceberg.com>
Cc: 587650@bugs.debian.org
Subject: Re: git-svn: copes poorly with .git/svn dir from older perl
Date: Mon, 9 May 2011 00:05:23 -0500
tags 587650 + help
quit

GSR wrote:

> Perl & Git were updated recently (lots of updates going on in Sid),
> and that seems to have caused a similar issue, end of import failed
> with:
>
> ---8<---
> Byte order is not compatible at ../../lib/Storable.pm (autosplit into ../../lib/auto/Storable/_retrieve.al) line 380, at /usr/share/perl/5.12.3/Memoize/Storable.pm line 21

Thanks.  I hadn't hit this because I use amd64.

> Moving away the .caches dir made the import work again.

git-svn ought to learn to do so automatically.  Eric is no longer
a heavy git-svn user himself, so rather than begging him for a fix
I'd prefer to send him a patch.  I've asked on debian-perl for help
with this (I'm not sure whether wrapping the "tie" and "memoize" with
eval will catch all errors); any help, especially in the form of
potential patches, would be very welcome.

Kind regards,
Jonathan




Added tag(s) help. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 09 May 2011 05:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#587650; Package git-svn. (Tue, 10 May 2011 07:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 10 May 2011 07:42:07 GMT) Full text and rfc822 format available.

Message #48 received at 587650@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: James Vega <jamessan@debian.org>, 618875@bugs.debian.org, 587650@bugs.debian.org
Cc: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Subject: Re: Bug#618875: perl-modules: "Byte order is not compatible at ../../lib/Storable.pm (...)"
Date: Tue, 10 May 2011 08:32:06 +0100
retitle 618875 git-svn: "Byte order is not compatible at ../../lib/Storable.pm (...)"
reassign 618875 git-svn
merge 618875 587650
thanks

On Mon, May 09, 2011 at 10:11:15PM -0400, James Vega wrote:
> On Mon, May 09, 2011 at 08:02:06PM -0400, James Vega wrote:
> > On Sun, May 08, 2011 at 09:50:42AM +0200, Christoph Biedl wrote:
> > > Dominic Hargreaves wrote...
> > > 
> > > > I can't promise to do anything with it in the near future, but happy
> > > > to grab a copy of it from somewhere if you can easily make it
> > > > available, to work on at a later date. Feel free to drop me a line
> > > > in private if you prefer.
> > > 
> > > For the time being I've at least archived that copy.
> > > 
> > > FWIW, amd64 is appearently not affected:
> > 
> > That makes sense given that, I think, this is related to the
> > -Duse64bitint change in the Perl 5.12 packaging.  On 32-bit systems, the
> > Perl 5.10 packaging wrote out Storable data in such a way that the new
> > use64bitint Perl 5.12 Storable can't read back in.
> 
> Just tested with Perl 5.12 built without -Duse64bitint and the file
> Storable creates indeed can't be read by 5.12 with -Duse64bitint.  This
> is also documented in the "Storable Magic" section of Storable's POD:
> 
>   $info = Storable::file_magic($filename)
>   …
>       intsize, longsize, ptrsize, nvsize
>           These are only present when netorder is FALSE. These are the
>           size of the various C datatypes of the Perl that created this
>           image. These must match the current Perl for the image to be
>           readable by Storable.
> 
> The odd bit is that git-svn seems to have been using netorder (via
> Memoize::Storable's nstore option) since the use of Memoize::Storable
> was introduced (git v1.7.0).

I've just noticed that there is already a bug in git-svn about this;
the consensus there seems to be that this is a git-svn bug, and it
appears (as in this bug) that it appears sporadically when the perl
version hasn't changed, but it is also being triggered by the perl 5.12
update.

Merging the two reports seems most appropriate at this point.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Merged 587650 618875. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 10 May 2011 07:48:05 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 10 May 2011 07:57:12 GMT) Full text and rfc822 format available.

Forcibly Merged 587650 618875 635097. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 22 Jul 2011 23:12:08 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 22 Jul 2011 23:12:09 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Jason Gross <jgross@MIT.EDU> to control@bugs.debian.org. (Mon, 22 Aug 2011 02:42:07 GMT) Full text and rfc822 format available.

Removed tag(s) help and patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 23 Aug 2011 08:27:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://thread.gmane.org/gmane.comp.version-control.git/179834/focus=179928'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 23 Aug 2011 08:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#587650; Package git-svn. (Sat, 12 May 2012 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sat, 12 May 2012 13:09:04 GMT) Full text and rfc822 format available.

Message #67 received at 587650@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 587650@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>
Subject: ping - git-svn cache issue still RC?
Date: Sat, 12 May 2012 14:08:18 +0100
[Message part 1 (text/plain, inline)]
Any news on the cache issues in git-svn?

> Raising severity since I suspect not fixing this before wheezy
> wouldn't win many friends.  Thanks for a reminder.

The upstream thread seems to have stalled - is this issue really
sufficiently problematic to be release-critical and is a fix likely
before the freeze?

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#587650; Package git-svn. (Sat, 12 May 2012 13:36:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sat, 12 May 2012 13:36:15 GMT) Full text and rfc822 format available.

Message #72 received at 587650@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Neil Williams <codehelp@debian.org>
Cc: 587650@bugs.debian.org
Subject: Re: ping - git-svn cache issue still RC?
Date: Sat, 12 May 2012 08:25:47 -0500
Neil Williams wrote:

> Any news on the cache issues in git-svn?

Alas, no.  There is probably not enough time for a proper fix (e.g., a
new Memoize::Dumper module), so probably something like Eric's

	$cache_path .= "$Config{use64bitint}.$Storable::VERSION/";

is what we'll have to live with.

[...]
> The upstream thread seems to have stalled - is this issue really
> sufficiently problematic to be release-critical and is a fix likely
> before the freeze?

Yes, I still consider this release-critical, and a fix or workaround
can happen (though help from interested users or perl hackers would
certainly be appreciated).

Regards,
Jonathan




Added tag(s) fixed-upstream and patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 10 Jun 2012 10:19:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#587650; Package git-svn. (Wed, 13 Jun 2012 11:09:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Retout <diocles@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Wed, 13 Jun 2012 11:09:53 GMT) Full text and rfc822 format available.

Message #79 received at 587650@bugs.debian.org (full text, mbox):

From: Tim Retout <diocles@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 587650@bugs.debian.org
Subject: Re: git-svn and nstore (Debian bug #587650)
Date: Wed, 13 Jun 2012 12:07:53 +0100
On 13 June 2012 08:22, Jonathan Nieder <jrnieder@gmail.com> wrote:
> Tim Retout wrote:
>
>> I've not thought much about the implications for the Debian bug - one crazy
>> idea might be to use file_magic to detect broken caches...
>
> Seems doable.  I just don't like the idea of the cache flipping back and
> forth on a repo mounted over NFS...

Since #677292 is 'important', we might be able to convince the release
team to let us fix it in squeeze?  Obviously if the cache is shared
with a really old system or another distro, this wouldn't help.

But then, teaching Storable about foreign architectures doesn't seem
feasible for wheezy either. :(  There's no other way that a git-svn
Storable file could coexist between two squeeze and wheezy systems -
the path would have to change.

[CCing #587650 just to keep it updated with progress.]

-- 
Tim Retout <diocles@debian.org>




Severity set to 'important' from 'serious' Request was from Gerrit Pape <pape@smarden.org> to control@bugs.debian.org. (Tue, 28 Aug 2012 10:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#587650; Package git-svn. (Tue, 28 Aug 2012 10:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>, 587650@bugs.debian.org, Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 28 Aug 2012 10:57:03 GMT) Full text and rfc822 format available.

Message #86 received at 587650@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 587650@bugs.debian.org
Cc: Neil Williams <codehelp@debian.org>, control@bugs.debian.org
Subject: Re: Bug#587650: ping - git-svn cache issue still RC?
Date: Tue, 28 Aug 2012 10:48:24 +0000
severity 587650 important
quit

On Sat, May 12, 2012 at 08:25:47AM -0500, Jonathan Nieder wrote:
> Neil Williams wrote:
> 
> > Any news on the cache issues in git-svn?
> 
> Alas, no.  There is probably not enough time for a proper fix (e.g., a
> new Memoize::Dumper module), so probably something like Eric's
> 
> 	$cache_path .= "$Config{use64bitint}.$Storable::VERSION/";
> 
> is what we'll have to live with.
> 
> [...]
> > The upstream thread seems to have stalled - is this issue really
> > sufficiently problematic to be release-critical and is a fix likely
> > before the freeze?
> 
> Yes, I still consider this release-critical, and a fix or workaround
> can happen (though help from interested users or perl hackers would
> certainly be appreciated).

Hi,

while a patchto solve this still would be nice, I don't think this bug
with a known workaround should prevent the current version of git in
wheezy from being released.  So I lower severity to important.

Regards, Gerrit.



Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#587650; Package git-svn. (Wed, 29 Aug 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Wed, 29 Aug 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #91 received at 587650@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 587650@bugs.debian.org
Cc: Neil Williams <codehelp@debian.org>
Subject: Re: ping - git-svn cache issue still RC?
Date: Wed, 29 Aug 2012 10:00:56 -0700
Hi Gerrit,

Gerrit Pape wrote:

> while a patchto solve this still would be nice

This is fixed by

 68f532f4 git-svn: use YAML format for mergeinfo cache when possible

along with a Depends on libyaml-perl.  That commit depends on the
series that moves various SVN::Git::* packages to a separate file, but
tweaks to apply the fix directly are straightforward.

The persistent mergeinfo cache has another problem, fixed by

 61b472ed git svn: reset invalidates the memoized mergeinfo caches

Some time soon I hope to collect patches to propose for inclusion
in wheezy.  Sorry to have been so slow at that.

Jonathan



Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Thu, 01 Nov 2012 14:51:05 GMT) Full text and rfc822 format available.

Notification sent to Sandro Weiser <sandro.weiser@informatik.tu-chemnitz.de>:
Bug acknowledged by developer. (Thu, 01 Nov 2012 14:51:05 GMT) Full text and rfc822 format available.

Message #96 received at 587650-close@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 587650-close@bugs.debian.org
Subject: Bug#587650: fixed in git 1:1.7.10.4-2
Date: Thu, 01 Nov 2012 14:47:51 +0000
Source: git
Source-Version: 1:1.7.10.4-2

We believe that the bug you reported is fixed in the latest version of
git, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587650@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Nieder <jrnieder@gmail.com> (supplier of updated git package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 12 Oct 2012 13:27:36 -0700
Source: git
Binary: git git-man git-core git-doc git-arch git-cvs git-svn git-email git-daemon-run git-daemon-sysvinit git-gui gitk git-el gitweb git-all
Architecture: source i386 all
Version: 1:1.7.10.4-2
Distribution: unstable
Urgency: low
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Jonathan Nieder <jrnieder@gmail.com>
Description: 
 git        - fast, scalable, distributed revision control system
 git-all    - fast, scalable, distributed revision control system (all subpacka
 git-arch   - fast, scalable, distributed revision control system (arch interop
 git-core   - fast, scalable, distributed revision control system (obsolete)
 git-cvs    - fast, scalable, distributed revision control system (cvs interope
 git-daemon-run - fast, scalable, distributed revision control system (git-daemon s
 git-daemon-sysvinit - fast, scalable, distributed revision control system (git-daemon s
 git-doc    - fast, scalable, distributed revision control system (documentatio
 git-el     - fast, scalable, distributed revision control system (emacs suppor
 git-email  - fast, scalable, distributed revision control system (email add-on
 git-gui    - fast, scalable, distributed revision control system (GUI)
 git-man    - fast, scalable, distributed revision control system (manual pages
 git-svn    - fast, scalable, distributed revision control system (svn interope
 gitk       - fast, scalable, distributed revision control system (revision tre
 gitweb     - fast, scalable, distributed revision control system (web interfac
Closes: 587650 678137
Changes: 
 git (1:1.7.10.4-2) unstable; urgency=low
 .
   * debian/diff:
     * 0013...0030: new from the upstream 'master' branch: git svn:
       adapt to svn 1.7 changes:
       * normalize paths and URLs passed to Subversion (thx Michael G.
         Schwern; closes: #678137)
       * use correct "svn cp" syntax when checking git svn's mangling
         of @-signs in branch names (svn became stricter).
       * commit filetype changes between a regular file and symlink as
         replacement (deletion followed by addition) instead of
         modification of files.  Otherwise, clients pulling the change
         with "svn update" hit an assertion failure (svn issue 4091).
     * 0031-git-svn-use-YAML-format-...diff: new from 1.7.11: git svn:
       use YAML format for mergeinfo cache when possible.
   * debian/control: git-svn: Depends: libyaml-perl for platform- and
     version-independent .git/svn/.caches format; Build-Depends:
     libyaml-perl for tests (thx Tim Retout for the analysis; closes:
     #587650).
Checksums-Sha1: 
 aedf1ad2da02097c035b79087a051b742730c27b 1978 git_1.7.10.4-2.dsc
 a9eb7be02b689a7e415aca34ee241cb630829947 521778 git_1.7.10.4-2.diff.gz
 543861240a43cc398166de9dc09e4a484b384255 6560854 git_1.7.10.4-2_i386.deb
 30fd9356f75398175632a9cd547202adc5e3ed37 2280716 git-doc_1.7.10.4-2_all.deb
 a7ea8c90b6b976ab3d4d7c6a5a781db74fc322d6 463434 git-arch_1.7.10.4-2_all.deb
 7be0f418036f98b6b7ee92ccaddaac5f7ad3f23f 533006 git-cvs_1.7.10.4-2_all.deb
 da193d008469bd1e5ae3b0e3c5376890a8fa924b 521314 git-svn_1.7.10.4-2_all.deb
 a10d353e98ac384f7020f780fe046cc1ac5b44b0 450484 git-daemon-run_1.7.10.4-2_all.deb
 c6dd968e8afb44016942fa24aa7ac037a5a948d4 451606 git-daemon-sysvinit_1.7.10.4-2_all.deb
 d2fd2a0d69151a32cccbae508cf243f42757826e 469130 git-email_1.7.10.4-2_all.deb
 f81ca28e787397447ece23098e3771c38042b00c 727260 git-gui_1.7.10.4-2_all.deb
 9f59552aac943afdc3731853d92c8954a0a87d76 576282 gitk_1.7.10.4-2_all.deb
 04d9996cd52671203fd83591f887a0f766ad26e9 453094 gitweb_1.7.10.4-2_all.deb
 25f85d9cdd588ddbe41afdedf7e8e0139aeb4477 448838 git-all_1.7.10.4-2_all.deb
 504e14226bb3aee12614f847ef2c766d4e2d9c15 1338 git-core_1.7.10.4-2_all.deb
 9f4d5ef38838051b6442a5b1b2688115eedb0915 470882 git-el_1.7.10.4-2_all.deb
 67c1de3e22331abca5b1fba559ca75619b040e7f 1074480 git-man_1.7.10.4-2_all.deb
Checksums-Sha256: 
 db6c1c23fe0fd84b9be8637d7699ba6bb3bfba477fe294f79385b19a437a1394 1978 git_1.7.10.4-2.dsc
 6f660d2afc0553d404e15db110b0d105dfa54b21ae7475269970496b5dbd2237 521778 git_1.7.10.4-2.diff.gz
 f2cfa683cb7a2c58b53c5a618399820d1ae05e94bf2ff62ed9c2490aa383f0e8 6560854 git_1.7.10.4-2_i386.deb
 28b84fff03c73ce3f30783d6503d8ae821b033ed7d3b14192e107e8325460306 2280716 git-doc_1.7.10.4-2_all.deb
 031ad85dc2a583ae877655a52e1a3fc2c8e51703803ad2013e81dfa984f7c589 463434 git-arch_1.7.10.4-2_all.deb
 3428cb78475cf4bad128377513b67d6802e701e87269c3a54b557b6ff5b4f8c0 533006 git-cvs_1.7.10.4-2_all.deb
 1bdf6e08633023016cc2724b5699e307009c9f9cb8b1f91f0a2ead2f272cd2fb 521314 git-svn_1.7.10.4-2_all.deb
 63a87302732d32d7a9bacaaa06057f9eea7891721b8c40485cbed4776536ab9f 450484 git-daemon-run_1.7.10.4-2_all.deb
 9e0f87910dc19979692354a7e192b77cebece436f4b1936c58d3b65ffd1816df 451606 git-daemon-sysvinit_1.7.10.4-2_all.deb
 c2a06d8129094c143a10347bff15835292e78fa8daadf20cab6a829f49283400 469130 git-email_1.7.10.4-2_all.deb
 692b3cbbd031a197a27145bdab40df1a0b8e70db8417f5d748ef778adf0d55a6 727260 git-gui_1.7.10.4-2_all.deb
 0057b2376b483eb0b479a1c879961761e0e43bbc02db4d439e748bc1079086c1 576282 gitk_1.7.10.4-2_all.deb
 e1acae429860e35be60e7e933e3f407a998828b7e1d8251db0c751187a353487 453094 gitweb_1.7.10.4-2_all.deb
 7d517a0c382181451fa8835fee1b037c49d58f2266a2dfe9a734f010986a89d3 448838 git-all_1.7.10.4-2_all.deb
 9f96d9491673343bf943f2b531b58d0def814f396d350e379978941d1336c18f 1338 git-core_1.7.10.4-2_all.deb
 b50c8436a275b41b7841db2e9fe4508cb3d4c377f33b39fafdaf4fe95f85657b 470882 git-el_1.7.10.4-2_all.deb
 fe17b6a422353377748a725cfc4489cf48b44684bdfa9b64fae0b7c5d8bda09b 1074480 git-man_1.7.10.4-2_all.deb
Files: 
 c5c2cbe2a1b52c665177c02331d9dafe 1978 vcs optional git_1.7.10.4-2.dsc
 508ced975f1cf6394efc695a30a909f4 521778 vcs optional git_1.7.10.4-2.diff.gz
 e11416a4d7ed3f426bda5010da633877 6560854 vcs optional git_1.7.10.4-2_i386.deb
 194e6132281b35da3d3a9a802695e28f 2280716 doc optional git-doc_1.7.10.4-2_all.deb
 0cc8720c0af6f23ded72b592c135f034 463434 vcs optional git-arch_1.7.10.4-2_all.deb
 b761a783167f1b833131e8cc1632344f 533006 vcs optional git-cvs_1.7.10.4-2_all.deb
 bf1d7c2c0d06f5a7095d3eb846de3d21 521314 vcs optional git-svn_1.7.10.4-2_all.deb
 9c913312cb00ec6a98c85283613a6a83 450484 vcs optional git-daemon-run_1.7.10.4-2_all.deb
 87387506a22d5f258b3f5e768cfd7e06 451606 vcs extra git-daemon-sysvinit_1.7.10.4-2_all.deb
 890756f423da7e3c64cc14e36bbe216c 469130 vcs optional git-email_1.7.10.4-2_all.deb
 7cbeb68b2f862b99cef0eb592551f502 727260 vcs optional git-gui_1.7.10.4-2_all.deb
 f9531b81958db44e0c61a3cdacecb6ba 576282 vcs optional gitk_1.7.10.4-2_all.deb
 1d1d491518546732ad1d23c78b1050ee 453094 vcs optional gitweb_1.7.10.4-2_all.deb
 64a4afd542cc37ce0468ccc21b297ee6 448838 vcs optional git-all_1.7.10.4-2_all.deb
 6576f7a118c293aa7db2c8b68c221ea4 1338 vcs optional git-core_1.7.10.4-2_all.deb
 ceb311636d431176c3e08f00617b3e03 470882 vcs optional git-el_1.7.10.4-2_all.deb
 2b958d6c65b60955dc3507269fe98701 1074480 doc optional git-man_1.7.10.4-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlCSfxUACgkQ+C5cwEsrK57SAwCdGwCqEMCpIPXcPtGTXX7yXbty
IGAAoKl1jxijXydVXUh9KsXiwaa2zrAv
=VH/L
-----END PGP SIGNATURE-----




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Thu, 01 Nov 2012 14:51:06 GMT) Full text and rfc822 format available.

Notification sent to Rogério Brito <rbrito@ime.usp.br>:
Bug acknowledged by developer. (Thu, 01 Nov 2012 14:51:06 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Thu, 01 Nov 2012 14:51:06 GMT) Full text and rfc822 format available.

Notification sent to bdale@gag.com (Bdale Garbee):
Bug acknowledged by developer. (Thu, 01 Nov 2012 14:51:06 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Sat, 24 Nov 2012 07:21:07 GMT) Full text and rfc822 format available.

Notification sent to Sandro Weiser <sandro.weiser@informatik.tu-chemnitz.de>:
Bug acknowledged by developer. (Sat, 24 Nov 2012 07:21:07 GMT) Full text and rfc822 format available.

Message #109 received at 587650-close@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 587650-close@bugs.debian.org
Subject: Bug#587650: fixed in git 1:1.7.10.4-1+wheezy1
Date: Sat, 24 Nov 2012 07:17:34 +0000
Source: git
Source-Version: 1:1.7.10.4-1+wheezy1

We believe that the bug you reported is fixed in the latest version of
git, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587650@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Nieder <jrnieder@gmail.com> (supplier of updated git package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 18 Nov 2012 11:45:41 -0800
Source: git
Binary: git git-man git-core git-doc git-arch git-cvs git-svn git-email git-daemon-run git-daemon-sysvinit git-gui gitk git-el gitweb git-all
Architecture: source amd64 all
Version: 1:1.7.10.4-1+wheezy1
Distribution: testing
Urgency: low
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Jonathan Nieder <jrnieder@gmail.com>
Description: 
 git        - fast, scalable, distributed revision control system
 git-all    - fast, scalable, distributed revision control system (all subpacka
 git-arch   - fast, scalable, distributed revision control system (arch interop
 git-core   - fast, scalable, distributed revision control system (obsolete)
 git-cvs    - fast, scalable, distributed revision control system (cvs interope
 git-daemon-run - fast, scalable, distributed revision control system (git-daemon s
 git-daemon-sysvinit - fast, scalable, distributed revision control system (git-daemon s
 git-doc    - fast, scalable, distributed revision control system (documentatio
 git-el     - fast, scalable, distributed revision control system (emacs suppor
 git-email  - fast, scalable, distributed revision control system (email add-on
 git-gui    - fast, scalable, distributed revision control system (GUI)
 git-man    - fast, scalable, distributed revision control system (manual pages
 git-svn    - fast, scalable, distributed revision control system (svn interope
 gitk       - fast, scalable, distributed revision control system (revision tre
 gitweb     - fast, scalable, distributed revision control system (web interfac
Closes: 587650
Changes: 
 git (1:1.7.10.4-1+wheezy1) testing; urgency=low
 .
   * debian/diff/0013-git-svn-use-YAML-format-...diff: new from 1.7.11:
     git svn: use YAML format for mergeinfo cache when possible.
   * debian/control: git-svn: Depends: libyaml-perl for platform- and
     version-independent .git/svn/.caches format; Build-Depends:
     libyaml-perl for tests (thx Tim Retout for the analysis; closes:
     #587650).
Checksums-Sha1: 
 0975c1387b4c37cad6d2120a456f2ea35956d941 2650 git_1.7.10.4-1+wheezy1.dsc
 2ca377f98ee37bd76c5ec67f9b7a5220aed20b99 502890 git_1.7.10.4-1+wheezy1.diff.gz
 a3d0070e36fdddfb319acbe78557808b0e9b95b2 6682952 git_1.7.10.4-1+wheezy1_amd64.deb
 b958d7aa0ac3782714f2edf67a204ba7c8d9fd89 2282840 git-doc_1.7.10.4-1+wheezy1_all.deb
 92ac51bd3d68949e4f56a0cd5030958b90e47219 464216 git-arch_1.7.10.4-1+wheezy1_all.deb
 4355d1f8882c0ed499dc337bc41b07c43ff2b310 533578 git-cvs_1.7.10.4-1+wheezy1_all.deb
 bf8ee4417bf9a3e6de60a433e5773981208c009c 520158 git-svn_1.7.10.4-1+wheezy1_all.deb
 0dba899b1fb30514d9a66819cdd82c02ff3d2806 450952 git-daemon-run_1.7.10.4-1+wheezy1_all.deb
 3ab5a4311c03e88f6287c0e431727cf3eafbaebc 452184 git-daemon-sysvinit_1.7.10.4-1+wheezy1_all.deb
 3c492e9858e436b2fb566e01f7536adf79a47681 469620 git-email_1.7.10.4-1+wheezy1_all.deb
 22d62d7076b5f49ad29b4d8bbc4cb2731f59e90f 728048 git-gui_1.7.10.4-1+wheezy1_all.deb
 b0ca096ef35517573958877044efbaadbaf9ca25 576020 gitk_1.7.10.4-1+wheezy1_all.deb
 d741a0d6da21e632fa9fc7834635ba9b15466472 454042 gitweb_1.7.10.4-1+wheezy1_all.deb
 13978c347b17883d02428cdd8ebcac0ffac7498e 449164 git-all_1.7.10.4-1+wheezy1_all.deb
 27664986cfd7bdf047f73ef922d97948a17c90a0 1336 git-core_1.7.10.4-1+wheezy1_all.deb
 ef9e55f52d9b3b7127ee4a38aa2871f2a1c56932 471154 git-el_1.7.10.4-1+wheezy1_all.deb
 4c048225d09b98d300c316ebb487d8ac86927d0f 1074036 git-man_1.7.10.4-1+wheezy1_all.deb
Checksums-Sha256: 
 ca1942f18dc1ad2ddfb69dfecb47dcfae49b87d3c92f3f2a533ebf96e3bfba05 2650 git_1.7.10.4-1+wheezy1.dsc
 253242be7165335130fe38cdd21ac1b151aff93f5a378cb72a724e5357f48a98 502890 git_1.7.10.4-1+wheezy1.diff.gz
 427689787800bbc4b4affe9b0e412780b926cb3b0fe40aa2f9a2f7ab6297346c 6682952 git_1.7.10.4-1+wheezy1_amd64.deb
 b85cf2568e8592a885f24ad01583b4900c9ec059b74f1cd6f7ec75cfa1ec9e1e 2282840 git-doc_1.7.10.4-1+wheezy1_all.deb
 d67a0bb3abf43bfc0561c0e742826ccc9361b1a54873502462a8294136a849ba 464216 git-arch_1.7.10.4-1+wheezy1_all.deb
 de0918b9443392ea00ca40a38e74ba0aa543b9067658fcb88ab61c0c73d939b2 533578 git-cvs_1.7.10.4-1+wheezy1_all.deb
 d8614564939b1b5304cedd5a5ad396fba65937594e62de6389682e5e966f01b1 520158 git-svn_1.7.10.4-1+wheezy1_all.deb
 37faca3b3afef24f2e816dc62d1ab8ce637954cab279b63a3c2fd2d7f92b0d0a 450952 git-daemon-run_1.7.10.4-1+wheezy1_all.deb
 f227778a5aaa1bd4f0295c7e022680ddfcd8440adf45576d9c4a2f56446dc7ee 452184 git-daemon-sysvinit_1.7.10.4-1+wheezy1_all.deb
 558b526680a1b63ffed9a86db9107f94881898153c61cacf7a00e0775d61496a 469620 git-email_1.7.10.4-1+wheezy1_all.deb
 81419f75febd42210b6611628376c6e421097c74248af3a93c35e8babb1bd618 728048 git-gui_1.7.10.4-1+wheezy1_all.deb
 ee7878aee999d07310d442745d960d746a1c56cbf6df108ec276a79d957dbc24 576020 gitk_1.7.10.4-1+wheezy1_all.deb
 1f8875c50d22bd14f1e92f73af9b0866a00a0e4561d2c315148a2daa0293cc91 454042 gitweb_1.7.10.4-1+wheezy1_all.deb
 ff376700302feaec6211ccc1130dc29f531c6efc3a379ac367e694d95c33b3d5 449164 git-all_1.7.10.4-1+wheezy1_all.deb
 21c966bf39644cafc137ae45aed2c48a31902f323295171b7e5084137820c6f1 1336 git-core_1.7.10.4-1+wheezy1_all.deb
 c81780e0c01bab9d2c289f5477c4f25d24359c484553d5122a76217588c5cd5b 471154 git-el_1.7.10.4-1+wheezy1_all.deb
 40f84cd10a9561dd848afd3449c88a55cd43e30a724a0ea7c75b4405a9e339aa 1074036 git-man_1.7.10.4-1+wheezy1_all.deb
Files: 
 65e27d592c73591c9bc3a4df990af0e5 2650 vcs optional git_1.7.10.4-1+wheezy1.dsc
 844cd30dd5c63b6dec55f39f2ba0ea92 502890 vcs optional git_1.7.10.4-1+wheezy1.diff.gz
 25082771e50f5cdf7c38e63caeb114ff 6682952 vcs optional git_1.7.10.4-1+wheezy1_amd64.deb
 304f406c4b16cb9060536f090342939e 2282840 doc optional git-doc_1.7.10.4-1+wheezy1_all.deb
 d109c203de32965efb81669a32729323 464216 vcs optional git-arch_1.7.10.4-1+wheezy1_all.deb
 8981faf8344ed7c7498b4bfaab0054bb 533578 vcs optional git-cvs_1.7.10.4-1+wheezy1_all.deb
 7a27328481737cfc48a9e4af836f7124 520158 vcs optional git-svn_1.7.10.4-1+wheezy1_all.deb
 dc5a9655cd035593a8e4f7959363686d 450952 vcs optional git-daemon-run_1.7.10.4-1+wheezy1_all.deb
 9236f075fd7d794d229f6dd79b966abc 452184 vcs extra git-daemon-sysvinit_1.7.10.4-1+wheezy1_all.deb
 62e9a291702b145b2336548d79e90034 469620 vcs optional git-email_1.7.10.4-1+wheezy1_all.deb
 97bd1fdfa8ad1ac2d4fde932639f8081 728048 vcs optional git-gui_1.7.10.4-1+wheezy1_all.deb
 fc60c26b951f2252764ccc2b477dd3f9 576020 vcs optional gitk_1.7.10.4-1+wheezy1_all.deb
 0e83d6138dfa63efe27cdc566b23e2f3 454042 vcs optional gitweb_1.7.10.4-1+wheezy1_all.deb
 de6431d9688ff492169ef08895dc2270 449164 vcs optional git-all_1.7.10.4-1+wheezy1_all.deb
 4b1f5b8e3b74a4da4e5525b93daec773 1336 vcs optional git-core_1.7.10.4-1+wheezy1_all.deb
 36bc70cc39b239fb9de906254cf55911 471154 vcs optional git-el_1.7.10.4-1+wheezy1_all.deb
 0c32d9412eaa5aaee5c1a705a660a608 1074036 doc optional git-man_1.7.10.4-1+wheezy1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQsHKvAAoJEN/Gce6zM/olmW8P/3FFhyJ8VQFBoVZka8g1lcNm
5hjz5sWfgwkvmZ77/k5vQPtWA3c/OOuLQGdRwGlVvuZYAfHQeahav/2mFTk9CaIy
T5V+Uns0Bbrl/oiSX2wgokqfc+jZ+gHCqgHBCJDsp0xO5EXgus3U7dGXa3YuGmJn
m95J201EzrkaxTfIZp3wY8/33aPw7UP7gfBgw/alo2ezM9TesYSiUWvUeM3drLkp
DytxX/1t56UDNtljJKRduooXoKrK2zI59pn65F5oTKY4GB3QzK+7kNkDeyMrLc38
GoOc4EavCmUu12+MqBG2IjaxRXVUB9aYDNvWtKvkC8FXxOOxJuqyPBpqJhKSc6UX
zBUOu8GItGlGGLNJS9jzC5Fydimwyvf9gxmSXTlZioA12H5thkaUZnZO0siulJ7e
1xQ1AdMuc4B3AykiyYZv5/wEdKo4bjN9JJPwEwG6PAiBUAVd0QrGKGA9n0J0N3/9
oMAc/JxviIHaD64NBsA+cxUgDALpqISRHfDEu7ad29rq1NlZxcS07m9H+b6euLOw
Gls3UJosQlHnXGtx25cmLJ4hMO5eamd/SYErnjnZwf2euKDfhoEiIlJ6njGlo7Hm
LqvzgBk37SzvWyD1ijdbXOF8MrbkbFnvck1nqhkYbdo8LSGVHl/JOJZ2DGbrpegz
ezuJu+gjyHd7++ogLlKo
=wuxX
-----END PGP SIGNATURE-----




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Sat, 24 Nov 2012 07:21:08 GMT) Full text and rfc822 format available.

Notification sent to Rogério Brito <rbrito@ime.usp.br>:
Bug acknowledged by developer. (Sat, 24 Nov 2012 07:21:08 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Sat, 24 Nov 2012 07:21:09 GMT) Full text and rfc822 format available.

Notification sent to bdale@gag.com (Bdale Garbee):
Bug acknowledged by developer. (Sat, 24 Nov 2012 07:21:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 15 Jun 2013 07:41:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:41:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.